/*
 * mod_inetd.h:
 *
 * Copyright (c) 1999-2000 Mount Linux Inc.
 * Licensed under the terms of the GPLv2
*/   
#ifndef __MOD_INETD_H_
#define __MOD_INETD_H_

#define DEBUG_INETD

#include <unistd.h>


#include "plugin.h"
#include "nmFetchConfig.h"

class mod_inetdwin;

class mod_inetd : public plugin
{
    public:
        mod_inetd();
        virtual ~mod_inetd();

        // these return info on the plugin in question
        virtual char * name() { return "Services On Demand"; }
        virtual char * group() { return "System"; }
        virtual char * desc() { return "Configure inetd superserver"; }
        virtual char * credits() { return "Sebastien Taylor <sebastien@mountlinux.com> Mount Linux Inc."; }
        virtual char * version() { return "0.1"; }

        // for receiving netmessage objects
        virtual void recv(netmessage *, int);

        // the "main" function for the plugin
        virtual void exec(hostObj *, unsigned int, moduleList *);

        virtual void getFocus();
    private:
        mod_inetdwin * inetdWin;
};

DLC_Register(mod_inetd);

#endif // __MOD_INETD_H_
